Subject: Re: What happens when the repository is bigger than gc.autopacklimit * pack.packSizeLimit?

From: Jeff King <[email-masked]>
Date: Wed, 27 Aug 2014 15:47:46 -0400

On Wed, Aug 27, 2014 at 03:36:53PM -0400, Dale R. Worley wrote:

> And it appears from an experiment that this is what happens.  I have a
> repository with pack.packSizeLimit = 99m, and there are 104 pack
> files, and even when "git gc" is done, if I do "git gc --auto", it
> will do git-repack again.

I agree that "gc --auto" could be smarter here, but I have to wonder:
why are you setting the packsize limit to 99m in the first place? It is
generally much more efficient to place everything in a single pack.
There are more delta opportunities, fewer base objects, lookup is faster
(we binary search each pack index, but linearly move through the list of
indices), and it is required for advanced techniques like bitmaps.

-Peff